// JavaScript Document

function isEmpty(mit) 
{
  if ((mit.length == 0) || (mit == null)) 
  {
	return true;
  }
  else 
  {
	return false;
  }
}

function ellenoriz() 
{
  mehet = 1;

  if (mehet == 1 && isEmpty(document.szallitas.nev.value)) 
  {
	mehet = 0;
	document.szallitas.nev.focus();
	alert('Kérlek add meg a nevedet!');
  }

  if (mehet == 1 && ((isEmpty(document.szallitas.vez_tel.value) && isEmpty(document.szallitas.mobil_tel.value)) || (document.szallitas.vez_tel.value == '+36' && document.szallitas.mobil_tel.value == '+36')))
  {
	mehet = 0;
	document.szallitas.mobil_tel.focus();
	alert('Legalább egy telefonszámot adj meg, hogy fel tudjunk hívni a rendelés megerősítése miatt!');
  }

  if (mehet == 1 && (isEmpty(document.szallitas.irszam.value) || document.szallitas.irszam.value=='ir.szám')) 
  {
	mehet = 0;
	document.szallitas.irszam.focus();
	alert('Az irányítószámot nem írtad be!');
  }

  if (mehet == 1 && (isEmpty(document.szallitas.helyseg.value) || document.szallitas.helyseg.value=='város v. helységnév')) 
  {
	mehet = 0;
	document.szallitas.helyseg.focus();
	alert('Add meg a helység nevét is!');
  }

  if (mehet==1 && (isEmpty(document.szallitas.utca.value) || document.szallitas.utca.value=='utca')) 
  {
	mehet = 0;
	document.szallitas.utca.focus();
	alert('Utcanév is kell a kézbesítéshez!');
  }

  if (mehet == 1 && (isEmpty(document.szallitas.hazszam.value) || document.szallitas.hazszam.value=='hazszam, emelet, ajtó stb.')) 
  {
	mehet = 0;
	document.szallitas.hazszam.focus();
	alert('Házszám is kell a kézbesítéshez!');
  }

  if (mehet == 1 && isEmpty(document.szallitas.sz_nev.value)) 
  {
	mehet = 0;
	document.szallitas.sz_nev.focus();
	alert('Kérlek add meg a számlázási nevet!');
  }

  if (mehet == 1 && (isEmpty(document.szallitas.sz_irszam.value) || document.szallitas.sz_irszam.value=='ir.szám')) 
  {
	mehet = 0;
	document.szallitas.sz_irszam.focus();
	alert('A számlázási címnél nem adtad meg az irányítószámot!');
  }

  if (mehet == 1 && (isEmpty(document.szallitas.sz_helyseg.value) || document.szallitas.sz_helyseg.value=='város v. helységnév')) 
  {
	mehet = 0;
	document.szallitas.sz_varos.focus();
	alert('A számlázási címnél add meg a város nevét is!');
  }

  if (mehet == 1 && (isEmpty(document.szallitas.sz_utca.value) || document.szallitas.sz_utca.value=='utca')) 
  {
	mehet = 0;
	document.szallitas.sz_utca.focus();
	alert('Utcanév is kell a számlázási címhez!');
  }

  if (mehet == 1 && (isEmpty(document.szallitas.sz_hazszam.value) || document.szallitas.sz_hazszam.value=='házszám, emelet, ajtó stb.')) 
  {
	mehet = 0;
	document.szallitas.sz_hazszam.focus();
	alert('Házszám is kell a számlázási címhez!');
  }

  if (mehet == 1) 
  {
	document.szallitas.submit();
  }
  else 
  {
	document.szallitas.tovabb.value='A fizetési mód kiválasztása >>';
	document.szallitas.tovabb.disabled = false;
  }
}